Subject: RE: How to clear the screen with bash ?
From: [email-masked] (Larry Hall)

3 Jul 1998 14:01:23 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: "Howarth, Richard" <[email-masked]>, [email-masked]

At 08:43 AM 7/2/98 +0100, Howarth, Richard wrote:
>> Michael Hirmke wrote:
>> > >> How to clear the screen with bash ?
>> > >>
>> > >
>> > >CTRL-L.
>> > 
>> > MIKE-[/home/mh]_$^L
>> > bash.exe: Got 12
>> > : command not found
>> > 
>> > >
>> 
>> 1. You TERM variable is not set to "linux".
>> 2. Missing /etc/termcap with linux terminal description.
>
>He's acutally typing the ^L at the command prompt which bash is trying
>to interperet as a command, which if it isn't aliased in some way won't
>work (unless this is a feature of bash - I'm more familiar with ksh).
>Another way of clearing the screen if you are using termcap/terminfo is
>to use the "tput" command, "tput clear" to clear the screen.
>This has the added bonus of allowing you to use all the defined terminal
>capabilities such as colour, video effects and cursor positioning (if
>your version of tput allows parameters) from the shell and scripts.
>

Geez!  I think I just figured out what everyone is doing!  Correct me if
I'm wrong but are people who are getting the error above typing CTRL-V
then CTRL-L?  I did that and got exactly what's shown above.  See:

HOME_lhall->^L
bash.exe: Got 12
: command not found

I had to press enter to get this after the ^ and the L were displayed.
OK, if this is what people are doing, I see the same thing but that's not
what was meant.  Just type CTRL-L.  Its a single keystroke.  If doing this
produces the results I got above and the results reported then there is
definitely some difference.  Perhaps it has to do with DLL versions?

Is the issue a miscommunication or something more?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".